Installation#

For fast installation with a package manager, Magpylib is uploaded to the PyPI and conda-forge repositories. Install with pip,

pip install magpylib

or with conda.

conda install magpylib

Magpylib is hosted for download at the following locations:

The Magpylib dependencies are as follows (check on GitHub for the latest version requirements):

  • Python 3.7 or later

  • numpy

  • scipy (.spatial.transform, .special)

  • matplotlib

  • plotly